## ambdec 0.4.2

=== source/Makefile ===
#  Copyright (C) 2006-2009 Fons Adriaensen <fons@kokkinizita.net>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.

#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


PREFIX = /usr/local
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)
SHARED = $(PREFIX)/share
VERSION = 0.4.2
DISTDIR = ambdec-$(VERSION)
CPPFLAGS += -O2 -ffast-math -Wall -MMD -MP -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
#CPPFLAGS += -march=i686


all:	ambdec ambdec_cli


AMBDEC_O = ambdec.o styles.o mainwin.o typewin.o confwin.o textmat.o \
	radbut.o filewin.o jclient.o nffilt.o xover2.o decoder.o adconf.o \
	mkimage.o meter.o

ambdec:	CPPFLAGS += -I/usr/X11R6/include `freetype-config --cflags`
ambdec:	LDLIBS += -lclxclient -lclthreads -ljack -lpng -lXft -lX11 -lrt
ambdec:	LDFLAGS += -L/usr/X11R6/lib
ambdec:	$(AMBDEC_O)
	g++ $(LDFLAGS) -o $@ $(AMBDEC_O) $(LDLIBS)

$(AMBDEC_O):
-include $(AMBDEC_O:%.o=%.d)



AMBDEC_CLI_O = ambdec_cli.o jclient.o nffilt.o xover2.o decoder.o adconf.o

ambdec_cli:	LDLIBS += -lclthreads -ljack -lrt
ambdec_cli:	$(AMBDEC_CLI_O)
	g++ $(LDFLAGS) -o $@ $(AMBDEC_CLI_O) $(LDLIBS)

$(AMBDEC_CLI_O):
-include $(AMBDEC_CLI_O:%.o=%.d)



install:	all
	/usr/bin/install -m 755 ambdec $(PREFIX)/bin
	/usr/bin/install -m 755 ambdec_cli $(PREFIX)/bin
	/usr/bin/install -d $(SHARED)/ambdec
	/usr/bin/install -m 644 ../share/* $(SHARED)/ambdec


clean:
	/bin/rm -f *~ *.o *.a *.d *.so
	/bin/rm -f ambdec
	/bin/rm -f ambdec_cli

tarball:
	cd ../..; \
	/bin/rm -f -r $(DISTDIR); \
	svn export ambdec $(DISTDIR); \
	tar cvjf $(DISTDIR).tar.bz2 $(DISTDIR); \
	/bin/rm -f -r $(DISTDIR);

## ambdec 0.4.4

=== source/Makefile ===
# ----------------------------------------------------------------------------
#
#  Copyright (C) 2006-2010 Fons Adriaensen <fons@kokkinizita.net>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# ----------------------------------------------------------------------------


PREFIX = /usr/local
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)
SHARED = $(PREFIX)/share
VERSION = 0.4.4
DISTDIR = ambdec-$(VERSION)
CPPFLAGS += -O2 -ffast-math -Wall -MMD -MP -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
CPPFLAGS += -march=native


all:	ambdec ambdec_cli


AMBDEC_O = ambdec.o styles.o mainwin.o typewin.o confwin.o textmat.o \
	radbut.o filewin.o jclient.o nffilt.o xover2.o decoder.o adconf.o \
	png2img.o meter.o

ambdec:	CPPFLAGS += -I/usr/X11R6/include `freetype-config --cflags`
ambdec:	LDLIBS += -lclxclient -lclthreads -ljack -lpng -lXft -lX11 -lrt
ambdec:	LDFLAGS += -L/usr/X11R6/lib
ambdec:	$(AMBDEC_O)
	g++ $(LDFLAGS) -o $@ $(AMBDEC_O) $(LDLIBS)

$(AMBDEC_O):
-include $(AMBDEC_O:%.o=%.d)



AMBDEC_CLI_O = ambdec_cli.o jclient.o nffilt.o xover2.o decoder.o adconf.o

ambdec_cli:	LDLIBS += -lclthreads -ljack -lrt
ambdec_cli:	$(AMBDEC_CLI_O)
	g++ $(LDFLAGS) -o $@ $(AMBDEC_CLI_O) $(LDLIBS)

$(AMBDEC_CLI_O):
-include $(AMBDEC_CLI_O:%.o=%.d)



install:	all
	install -d $(DESTDIR)$(PREFIX)/bin
	install -m 755 ambdec     $(DESTDIR)$(PREFIX)/bin
	install -m 755 ambdec_cli $(DESTDIR)$(PREFIX)/bin
	install -d $(DESTDIR)$(SHARED)/ambdec
	install -m 644 ../share/* $(DESTDIR)$(SHARED)/ambdec


clean:
	/bin/rm -f *~ *.o *.a *.d *.so
	/bin/rm -f ambdec
	/bin/rm -f ambdec_cli

=== debian/changelog ===
ambdec (0.4.4-2) experimental; urgency=low

  * Append -pthread to the ambdec_cli's LDFLAGS, too.
  * Remove -march=native flag to fix FTBFS on several
    architectures (Closes: #609621).

 -- Alessio Treglia <alessio@debian.org>  Tue, 11 Jan 2011 01:43:29 +0100

ambdec (0.4.4-1) experimental; urgency=low

  * New upstream release.
  * Update my email address.
  * Bump Standards.
  * Switch to packaging format 3.0 (quilt).
  * Add git-buildpackage config file.
  * Pass --buildsystem and --sourcedirectory options to dh to reduce
    debian/rules length.
  * Add -Wl,--as-needed to linking flags.
  * Fix small typo in the manpage.
  * debian/patches/01-destdir.patch:
    - Refresh.
    - Append -pthread to LDFLAGS to prevent FTBFS with newer toolchain.

 -- Alessio Treglia <alessio@debian.org>  Tue, 11 Jan 2011 00:44:16 +0100

ambdec (0.4.2-1) unstable; urgency=low

  * Initial release (Closes: #573886).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 14 Mar 2010 20:40:46 +0100

=== debian/control ===
Source: ambdec
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 libjack-dev,
 ladspa-sdk,
 libclxclient-dev,
 libclthreads-dev,
 libpng12-dev,
 x11proto-core-dev
Homepage: http://www.kokkinizita.net/linuxaudio/index.html
Vcs-Git: git://git.debian.org/git/pkg-multimedia/ambdec.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/ambdec.git
Standards-Version: 3.9.1

Package: ambdec
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Provides: ladspa-plugin
Description: Ambisonic decoder for first and second order
 AmbDec is an Ambisonics decoder for up to 36 speakers. It can be used
 for both horizontal and full 3-D systems of first, second and third
 order. The decoding matrices are fully user-configurable. AmbDec has
 some advanced features not found on most decoders:
  * Dual frequency band operation.
  * Speaker distance compensation.
  * Near-field effect compensation.
 .
 All three features can be selectively enabled or disabled in the
 configuration.

=== debian/watch ===
version=3
http://www.kokkinizita.net/linuxaudio/downloads/index.html \
ambdec-(.*)\.tar\.bz2

## ambdec 0.5.1

=== source/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # ----------------------------------------------------------------------------
 #
-#  Copyright (C) 2006-2010 Fons Adriaensen <fons@kokkinizita.net>
+#  Copyright (C) 2006-2011 Fons Adriaensen <fons@linuxaudio.org>
 #
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
@@ -22,9 +22,8 @@
 PREFIX = /usr/local
 SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
 LIBDIR = lib$(SUFFIX)
-SHARED = $(PREFIX)/share
-VERSION = 0.4.4
-DISTDIR = ambdec-$(VERSION)
+SHARED = $(PREFIX)/share/ambdec
+VERSION = 0.5.1
 CPPFLAGS += -O2 -ffast-math -Wall -MMD -MP -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
 CPPFLAGS += -march=native
 
@@ -32,9 +31,9 @@
 all:	ambdec ambdec_cli
 
 
-AMBDEC_O = ambdec.o styles.o mainwin.o typewin.o confwin.o textmat.o \
-	radbut.o filewin.o jclient.o nffilt.o xover2.o decoder.o adconf.o \
-	png2img.o meter.o
+AMBDEC_O = ambdec.o styles.o mainwin.o confwin.o radbut.o filewin.o \
+           jclient.o nffilt.o xover2.o decoder.o adconf.o sstring.o \
+           png2img.o meter.o
 
 ambdec:	CPPFLAGS += -I/usr/X11R6/include `freetype-config --cflags`
 ambdec:	LDLIBS += -lclxclient -lclthreads -ljack -lpng -lXft -lX11 -lrt
@@ -47,7 +46,7 @@
 
 
 
-AMBDEC_CLI_O = ambdec_cli.o jclient.o nffilt.o xover2.o decoder.o adconf.o
+AMBDEC_CLI_O = ambdec_cli.o jclient.o nffilt.o xover2.o decoder.o adconf.o sstring.o
 
 ambdec_cli:	LDLIBS += -lclthreads -ljack -lrt
 ambdec_cli:	$(AMBDEC_CLI_O)
@@ -62,9 +61,13 @@
 	install -d $(DESTDIR)$(PREFIX)/bin
 	install -m 755 ambdec     $(DESTDIR)$(PREFIX)/bin
 	install -m 755 ambdec_cli $(DESTDIR)$(PREFIX)/bin
-	install -d $(DESTDIR)$(SHARED)/ambdec
-	install -m 644 ../share/* $(DESTDIR)$(SHARED)/ambdec
+	install -d $(DESTDIR)$(SHARED)
+	install -m 644 ../share/* $(DESTDIR)$(SHARED)
 
+uninstall:
+	/bin/rm -f $(DESTDIR)$(PREFIX)/bin/ambdec
+	/bin/rm -f $(DESTDIR)$(PREFIX)/bin/ambdec_cli
+	/bin/rm -rf $(DESTDIR)$(SHARED)
 
 clean:
 	/bin/rm -f *~ *.o *.a *.d *.so

=== debian/changelog ===
ambdec (0.5.1-4build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 06:31:26 +0000

ambdec (0.5.1-4) unstable; urgency=medium

  * Fix Vcs-Git.
  * Bump Standards.
  * Enable parallel build.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 10 Jun 2015 20:35:05 +0200

ambdec (0.5.1-3) unstable; urgency=low

  * Set dependency on libclxclient 3.9.0 to fix a crash. (Closes: #715631)
  * Update copyright file.
  * Removed DMUA.
  * Bump standards.
  * Set dh/compat 9.
  * Fix VCS canonical URLs.
  * Tune gitignore file to handle rather dir.
  * Don't sign tags.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 05 Aug 2013 23:37:58 +0200

ambdec (0.5.1-2) unstable; urgency=low

  [ Alessio Treglia ]
  * libpng12-dev -> libpng-dev (Closes: #662266).
  * Update debian/copyright.
  * Set DM-Upload-Allowed: yes.

  [ Jaromír Mikeš ]
  * Bump standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 26 Apr 2012 10:55:52 +0200

ambdec (0.5.1-1) unstable; urgency=low

  * New upstream release.
  * Add myself as uploader
  * updated 01-destdir.patch
  * Bump standards
  * Updated homepage
  * Fixed watch file
  * Copyright switched to rev. 174

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 11 Sep 2011 21:25:38 +0200

ambdec (0.4.4-3) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Tue, 08 Feb 2011 22:09:42 +0100

=== debian/control ===
Source: ambdec
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 9),
 ladspa-sdk,
 libclthreads-dev,
 libclxclient-dev (>= 3.9.0),
 libjack-dev,
 libpng-dev,
 x11proto-core-dev
Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/index.html
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/ambdec.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/ambdec.git
Standards-Version: 3.9.6

Package: ambdec
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 ladspa-plugin
Description: Ambisonic decoder for first and second order
 AmbDec is an Ambisonics decoder for up to 36 speakers. It can be used
 for both horizontal and full 3-D systems of first, second and third
 order. The decoding matrices are fully user-configurable. AmbDec has
 some advanced features not found on most decoders:
  * Dual frequency band operation.
  * Speaker distance compensation.
  * Near-field effect compensation.
 .
 All three features can be selectively enabled or disabled in the
 configuration.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ -Smakefile --sourcedirectory=source --parallel

override_dh_installchangelogs:
	dh_installchangelogs README

=== debian/watch ===
version=3
http://kokkinizita.linuxaudio.org/linuxaudio/downloads/ \
ambdec-(.*)\.tar\.bz2

## ambdec 0.7.1

=== source/Makefile ===
# ----------------------------------------------------------------------------
#
#  Copyright (C) 2006-2018 Fons Adriaensen <fons@linuxaudio.org>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# ----------------------------------------------------------------------------


PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
SHARED ?= $(PREFIX)/share/ambdec

VERSION = 0.7.1
CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
CXXFLAGS += -O2 -ffast-math -Wall
CXXFLAGS += -march=native


all:	ambdec ambdec_cli


AMBDEC_O = ambdec.o styles.o mainwin.o confwin.o radbut.o filewin.o \
           jclient.o nffilt.o xover2.o decoder.o adconf.o sstring.o \
           png2img.o meter.o
ambdec:	CPPFLAGS += $(shell pkgconf --cflags freetype2)
ambdec:	LDLIBS += -lclxclient -lclthreads -ljack -lpng -lpthread -lXft -lX11 -lrt
ambdec:	$(AMBDEC_O)
	$(CXX) $(LDFLAGS) -o $@ $(AMBDEC_O) $(LDLIBS)
$(AMBDEC_O):
-include $(AMBDEC_O:%.o=%.d)



AMBDEC_CLI_O = ambdec_cli.o jclient.o nffilt.o xover2.o decoder.o adconf.o sstring.o
ambdec_cli:	LDLIBS += -lclthreads -lpthread -ljack -lrt
ambdec_cli:	$(AMBDEC_CLI_O)
	$(CXX) $(LDFLAGS) -o $@ $(AMBDEC_CLI_O) $(LDLIBS)
$(AMBDEC_CLI_O):
-include $(AMBDEC_CLI_O:%.o=%.d)


install:	all
	install -d $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(SHARED)
	install -m 755 ambdec     $(DESTDIR)$(BINDIR)
	install -m 755 ambdec_cli $(DESTDIR)$(BINDIR)
	install -m 644 ../share/* $(DESTDIR)$(SHARED)


uninstall:
	rm -f $(DESTDIR)$(BINDIR)/ambdec
	rm -f $(DESTDIR)$(BINDIR)/ambdec_cli
	rm -rf $(DESTDIR)$(SHARED)


clean:
	rm -f *~ *.o *.a *.d *.so
	rm -f ambdec
	rm -f ambdec_cli

=== debian/changelog ===
ambdec (0.7.1-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:11:06 +1100

ambdec (0.7.1-1build2) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 05:59:30 +0000

ambdec (0.7.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:09:34 +0100

ambdec (0.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Use pkgconf to detect freetype. (Closes: #914638)
  * debian/patches: Refresh patches.
  * debian/control: Bump Standards-Version.
  * debian/:
    - Use pkg-config where possible.
    - Bump debhelper compat to 12.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 05 Jan 2019 21:33:13 +0100

ambdec (0.5.1-5) unstable; urgency=medium

  * Set dh 10.
  * Bump Standards.
  * Fix VCS fields.
  * Sign tags.
  * Fix hardening.
  * Avoid useless linking.
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 21 Dec 2016 09:49:17 +0100

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,22 @@
 Section: sound
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 12),
  ladspa-sdk,
  libclthreads-dev,
  libclxclient-dev (>= 3.9.0),
  libjack-dev,
  libpng-dev,
- x11proto-core-dev
+ libx11-dev,
+ pkg-config
 Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/index.html
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/ambdec.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/ambdec.git
-Standards-Version: 3.9.6
+Vcs-Git: https://salsa.debian.org/multimedia-team/ambdec.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/ambdec
+Standards-Version: 4.3.0
 
 Package: ambdec
 Architecture: any
